CCfits 2.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CCfits::ExtHDU::WrongExtensionType Class Reference
FITS Exceptions

Exception to be thrown on unmatched extension types. More...

`#include <ExtHDU.h>`

Inheritance diagram for CCfits::ExtHDU::WrongExtensionType:

## Public Member Functions
| WrongExtensionType (const String &msg, bool silent=true)
| Exception ctor, prefixes the string "Fits Error: wrong extension type" before the specific message. More...
Public Member Functions inherited from CCfits::FitsException
| FitsException (const string &msg, bool &silent)
const string & | message () const
| returns the error message More...

## Detailed Description

Exception to be thrown on unmatched extension types.

This exception is to be thrown if the user requested a particular extension and it does not correspond to the expected type.

## Constructor & Destructor Documentation

CCfits::ExtHDU::WrongExtensionType::WrongExtensionType | ( | const String & | msg,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "Fits Error: wrong extension type" before the specific message.

Parameters

  msg | A specific diagnostic message
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- ExtHDU.h
- ExtHDU.cxx